LFR-FSW - Task #3048

Livraison de 3.2.0.18
03/07/2018 06:45 PM - Alexis Jeandet

Status: Closed Start date: 02/07/2018
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Next Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r3.2.0.18

Description

Cette nouvelle version calcule correctement I'utilisation CPU et aussi la moyenne.

Avant ['utilisation CPU était calculée sur une seule tache et depuis le dernier reset, et donc n'était pas instantanée. La elle est
calculée seulement entre deux appels consécutifs de la fonction Ifr_rtems_cpu_usage_report

La moyenne de la charge CPU est calculée sur 60 secondes (configurable).

Les builds sont disponibles ici
Le FSW pour le LPP est ici

Related issues:

Copied from Task #3047: Livraison de 3.2.0.17 Closed 02/07/2018
Copied to Task #3080: Livraison de 3.2.0.19 Closed 02/07/2018
History

#1 - 03/07/2018 06:45 PM - Alexis Jeandet
- Copied from Task #3047: Livraison de 3.2.0.17 added

#2 - 17/07/2018 02:02 PM - Alexis Jeandet

- Description updated

#3 - 28/08/2018 01:25 PM - bruno katra
- Copied to Task #3080: Livraison de 3.2.0.19 added

#4 - 28/08/2018 01:26 PM - bruno katra

- Status changed from New to Closed

3.2.0.19 livrée
https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/JEANDET/LFR_FSW/files/20873780eb66afd8209ffc9b60f1df8cded3a90b/src/lfr_cpu_usage_report.c#L19
https://hephaistos.lpp.polytechnique.fr/teamcity/project.html?projectId=LfrFlightSoftware&tab=projectOverview
https://hephaistos.lpp.polytechnique.fr/teamcity/repository/download/LfrFlightSoftware_BuildLpp/29814:id/fsw
http://www.tcpdf.org

